Bug 189815 - CVE-2006-1721 cyrus-sasl digest-md5 DoS
CVE-2006-1721 cyrus-sasl digest-md5 DoS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
source=cve,reported=20060411,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 16:37 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: cyrus-sasl-2.1.20-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 19:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-24 16:37:30 EDT
cyrus-sasl digest-md5 DoS

A DoS during SASL authentication digest-md5 negotiation could crash an
applications authenticating using the digest-md5 feature of
cyrus-sasl.

This issue was fixed upstream in 2.1.21.

An advisory regarding this issue was published here:
http://labs.musecurity.com/advisories/MU-200604-01.txt

The note from upstream verifying the isue was fixed in 2.1.21 is here:
http://asg.web.cmu.edu/archive/message.php?mailbox=archive.cyrus-sasl&msg=7775
Comment 1 Fedora Update System 2006-05-04 21:48:04 EDT
cyrus-sasl-2.1.20-6 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Matthew Miller 2006-07-25 19:41:36 EDT
This appears to have been fixed in an update earlier this year (see comment #1)
but never closed. Marking closed.

Note You need to log in before you can comment on or make changes to this bug.